org.apache.ignite.internal.client.ssl

## Interface GridSslContextFactory

All Known Implementing Classes:
  GridSslBasicContextFactory

Deprecated.
Use `Factory` instead.

    @Deprecated
    public interface GridSslContextFactory

This interface provides creation of SSL context both for server and client use.

Usually, it is enough to configure context from a particular key and trust stores, this functionality is provided in `GridSslBasicContextFactory`.

### Method Summary

Methods
`SSLContext` `createSslContext()` Deprecated. Creates SSL context based on factory settings.

### Method Detail

#### createSslContext

    SSLContext createSslContext()
                                throws SSLException

Deprecated.
Creates SSL context based on factory settings.

Returns:
  Initialized SSL context.
Throws:
  `SSLException` - If SSL context could not be created.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015